﻿using System;

namespace GuessTheNumber
{
    class Program
    {
        static void Main()
        {
            Console.WriteLine("iNetTutor.com");
            Console.WriteLine("Welcome to the Guess the Number game!");

            // Generate a random number between 1 and 100
            Random random = new Random();
            int targetNumber = random.Next(1, 101);

            // Initialize user guess and attempts
            int userGuess = 0;
            int attempts = 0;

            // Start the guessing loop
            while (userGuess != targetNumber)
            {
                // Prompt user for input
                Console.Write("Enter your guess (between 1 and 100): ");

                // Validate and parse user input
                if (int.TryParse(Console.ReadLine(), out userGuess))
                {
                    // Provide hints based on user's guess
                    if (userGuess < targetNumber)
                    {
                        Console.WriteLine("Too low. Try again!");
                    }
                    else if (userGuess > targetNumber)
                    {
                        Console.WriteLine("Too high. Try again!");
                    }

                    // Increment attempts
                    attempts++;
                }
                else
                {
                    Console.WriteLine("Invalid input. Please enter a valid number.");
                }
            }

            // Display success message
            Console.WriteLine($"Congratulations! You guessed the number {targetNumber} in {attempts} attempts.");
            Console.WriteLine("Please press any key in the keyboard to close the console.");
            Console.ReadKey();
        }
    }
}